<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Get variable description — var_lbl • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Get variable description — var_lbl"><meta name="description" content="Extracts a variable's (common) description from the questionnaire data."><meta property="og:description" content="Extracts a variable's (common) description from the questionnaire data."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Get variable description</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>var_lbl.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Extracts a variable's (common) description from the <a href="qstnrs.html">questionnaire data</a>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">var_lbl</span><span class="op">(</span><span class="va">var_name</span>, ballot_date <span class="op">=</span> <span class="cn">NULL</span>, canton <span class="op">=</span> <span class="cn">NULL</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-var-name">var_name<a class="anchor" aria-label="anchor" href="#arg-var-name"></a></dt>
<dd><p>Variable name. A character scalar.</p></dd>


<dt id="arg-ballot-date">ballot_date<a class="anchor" aria-label="anchor" href="#arg-ballot-date"></a></dt>
<dd><p><code>NULL</code> or a FOKUS-covered ballot date, i.e. one of</p><ul><li><p><code>"2018-09-23"</code></p></li>
<li><p><code>"2018-11-25"</code></p></li>
<li><p><code>"2019-10-20"</code></p></li>
<li><p><code>"2020-09-27"</code></p></li>
<li><p><code>"2020-10-18"</code></p></li>
<li><p><code>"2021-11-28"</code></p></li>
<li><p><code>"2023-06-18"</code></p></li>
<li><p><code>"2024-10-20"</code></p></li>
</ul></dd>


<dt id="arg-canton">canton<a class="anchor" aria-label="anchor" href="#arg-canton"></a></dt>
<dd><p><code>NULL</code> or a FOKUS-covered canton name, i.e. one of</p><ul><li><p><code>"aargau"</code></p></li>
</ul></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character scalar.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>If no <code>ballot_date</code> and <code>canton</code> are specified or <code>var_name</code> is not included at <code>ballot_date</code>,
<a href="https://fokus.rpkg.dev/articles/raw_qstnr_schema.html#supported-keys"><code>variable_label_common</code></a> is returned, otherwise
<a href="https://fokus.rpkg.dev/articles/raw_qstnr_schema.html#supported-keys"><code>variable_label</code></a>. Note that <code>ballot_date</code> and <code>canton</code> either must both be <code>NULL</code> or
set to a valid canton name and ballot date respectively.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other variable-related functions:
<code><a href="add_vars_to_combos.html">add_vars_to_combos</a>()</code>,
<code><a href="is_skill_question_var.html">is_skill_question_var</a>()</code>,
<code><a href="var_election_nr.html">var_election_nr</a>()</code>,
<code><a href="var_lvls.html">var_lvls</a>()</code>,
<code><a href="var_prcd.html">var_prcd</a>()</code>,
<code><a href="var_proposal_nr.html">var_proposal_nr</a>()</code>,
<code><a href="var_skill_question_nr.html">var_skill_question_nr</a>()</code>,
<code><a href="var_title.html">var_title</a>()</code>,
<code><a href="var_val_set.html">var_val_set</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="co"># if `ballot_date` and `canton` are not supplied, `variable_label_common` is returned:</span></span></span>
<span class="r-in"><span><span class="fu">fokus</span><span class="fu">::</span><span class="fu">var_lbl</span><span class="op">(</span><span class="st">"participation_federal"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "respondent's participation status regarding the federal proposals/elections of the current ballot (blank votes count as 'participated')"</span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># otherwise `variable_label`:</span></span></span>
<span class="r-in"><span><span class="fu">fokus</span><span class="fu">::</span><span class="fu">var_lbl</span><span class="op">(</span>var_name <span class="op">=</span> <span class="st">"participation_federal"</span>,</span></span>
<span class="r-in"><span>               ballot_date <span class="op">=</span> <span class="st">"2018-09-23"</span>,</span></span>
<span class="r-in"><span>               canton <span class="op">=</span> <span class="st">"aargau"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "respondent's participation status regarding the federal proposals of the current ballot (blank votes count as 'participated')"</span>
<span class="r-in"><span>            </span></span>
<span class="r-in"><span><span class="fu">fokus</span><span class="fu">::</span><span class="fu">var_lbl</span><span class="op">(</span>var_name <span class="op">=</span> <span class="st">"participation_federal"</span>,</span></span>
<span class="r-in"><span>               ballot_date <span class="op">=</span> <span class="st">"2019-10-20"</span>,</span></span>
<span class="r-in"><span>               canton <span class="op">=</span> <span class="st">"aargau"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [1] "respondent's participation status regarding the federal elections of the current ballot (blank votes count as 'participated')"</span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

